package android.csoft.HomeWork6_iwasax;

import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.os.IBinder;

public class HomeWork6_iwasaxService_2 extends Service{
	public IBinder onBind(Intent intent) {
		return null;   
	}   
	
	//サービス起動時
	public void onStart(Intent intent, int startId) {
		//ノーティフィケーションの表示
		showNotifibation(this,R.drawable.icon,"close押下","画面を閉じます。","サービスは継続します。");
	}

   private void showNotifibation(
			Context context, int icon,
			String ticker,String title,String message) {
		// ノーティフィケーションマネージャの取得
		NotificationManager nm;
		nm=(NotificationManager)getSystemService(Context.NOTIFICATION_SERVICE);
		
		//ノーティフィケーションオブジェクト生成	
		Notification notification = 
				new Notification(icon, ticker, System.currentTimeMillis());
		PendingIntent intent = PendingIntent.getActivity(context, 0, new Intent(context,android.csoft.HomeWork6_iwasax.HomeWork6_iwasaxActivity.class), 0);
		notification.setLatestEventInfo(context, title,message,intent);

			// キャンセル
			nm.cancel(0);
			//表示
			nm.notify(0, notification);
	}
}  